
QGIS Application - Bug report #20441

Unable to stop executing GDAL algorithm

2018-11-10 04:55 PM - K S

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.4.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28261

Description

Raster -> Conversion -> Polygonize (raster to vector).

This process was taking a very long time and I wanted to stop it.

I clicked the progress bar in the status bar below the main map view and tried clicking the red "X", but it does nothing.

Exit QGIS (CTRL+Q) prompts if I want to attempt to cancel the active task, but does not succeed at this.

My final solution was to terminate the QGIS process manually via Windows Task Manager.

Related issues:

Related to QGIS Application - Bug report # 18600: QGIS3: can't cancel ogr2ogr Closed 2018-03-31

Duplicates QGIS Application - Feature request # 20060: Allow cancelling gdal ... Open 2018-10-09

Associated revisions

Revision b19e0bd5 - 2019-01-29 07:53 PM - Alexander Bruy

[processing] don't show cancel button in the task manager for algorithms that can not be cancelled (refs #20441)

Revision dddb32e3 - 2019-01-31 09:30 AM - Alexander Bruy

[processing] don't show cancel button in the task manager for algorithms that can not be cancelled (refs #20441)

(cherry picked from commit b19e0bd5d441b2584b663cac77073928c0314ff4)

History

#1 - 2018-11-10 05:37 PM - Harrissou Santanna

- Related to Bug report #19761: Unable to close QGIS because of an (ghost?) active task added

#2 - 2018-11-12 12:10 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Subject changed from Unable to stop executing algorithm. to Unable to stop executing GDAL algorithm

- Category changed from Rasters to Processing/GDAL

- Priority changed from Low to High

#3 - 2019-01-01 02:30 PM - Alexander Bruy

- Related to deleted (Bug report #19761: Unable to close QGIS because of an (ghost?) active task)

#4 - 2019-01-29 07:48 AM - Alexander Bruy

- Duplicates Feature request #20060: Allow cancelling gdal algorithms added
#5 - 2019-01-29 08:00 AM - Alexander Bruy

- Related to Bug report #18600: QGIS3: can't cancel ogr2ogr added

#6 - 2019-01-29 03:48 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Priority changed from High to Normal

- Operating System deleted (Windows 7 x64)

Actually GDAL algorithms (as well as SAGA and GRASS) can not be cancelled, see #18600. Confusion comes from the fact that in QGIS task manager

we still have a cancel button for them. Here is PR to fix this https://github.com/qgis/QGIS/pull/9026.

Closing this, as implementing cancellation support is a feature request and we already have #20060 for it.
